> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mockapiv2actions



## OpenAPI

````yaml post /mock/api/v2/actions
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /mock/api/v2/actions:
    post:
      tags: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateActionSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/CreateActionSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/CreateActionSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/CreateActionSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    CreateActionSchema:
      required:
        - action
        - params
        - phases
        - release_notes
        - retry_count
      type: object
      properties:
        action:
          type: string
        timeout:
          type: integer
          format: int64
        params:
          type: object
        release_notes:
          type: string
        retry_count:
          type: integer
          format: int64
        phases:
          type: array
          items:
            $ref: '#/components/schemas/CreateActionSchemaPhases'
      additionalProperties: false
    CreateActionSchemaPhases:
      required:
        - filter
        - fraction
        - name
      type: object
      properties:
        name:
          type: string
        timestamp:
          type: integer
          format: int64
        success_percentage:
          type: integer
          format: int64
        failure_percentage:
          type: integer
          format: int64
        filter:
          type: object
        fraction:
          type: integer
          format: int64
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````